# Gmagick::setimagetype

(PECL gmagick >= Unknown)

Gmagick::setimagetype — Sets the image type

### Description

public Gmagick::setimagetype ( int `$imgType` ) : Gmagick

Sets the image type.

### Parameters

`imgType`

  The image type: UndefinedType, BilevelType, GrayscaleType, GrayscaleMatteType, PaletteType, PaletteMatteType, TrueColorType, TrueColorMatteType, ColorSeparationType, ColorSeparationMatteType, or OptimizeType.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.